html,
body,
div,
span,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
abbr,
address,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
samp,
small,
strong,
sub,
sup,
var,
b,
i,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: none;
    outline: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: transparent;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

nav ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: none;
}

a {
    margin: 0;
    padding: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: transparent;
}

ins {
    background-color: #ff9;
    color: #000;
    text-decoration: none;
}

mark {
    background-color: #ff9;
    color: #000;
    font-style: italic;
    font-weight: bold;
}

del {
    text-decoration: line-through;
}

abbr[title],
dfn[title] {
    border-bottom: 1px dotted;
    cursor: help;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

input,
select {
    vertical-align: middle;
}

body {
    scrollbar-width: none;
    position: relative;
    background:
        url("/images/bg-decor/cloudPink.webp"),
        url("/images/bg-decor/cloudPink.webp"),
        url("/images/bg-decor/cloudLav.webp"),
        url("/images/bg-decor/cloud-jump.webp"),
        url("/images/bg-decor/cloudBlue.webp"), var(--bg_color);
    background-size: 2000px, 2000px, 2500px, 2000px, 3000px, cover;
    background-attachment: fixed;
    image-rendering: optimizeQuality;

    background-position: 0;
    background-position-y: 99%, 96%, 93%, 90%, 89%, 0;
    background-position-x: -500px, 0, 50px, 70px, 0, 0;


    height:100vh; 

    background-repeat:
        repeat-x, repeat-x, repeat-x, repeat-x, no-repeat, no-repeat;
    text-align: center;
    font-size: var(--default_text);
    overflow: hidden;
    cursor: url(/images/smalls/normal_select.gif), auto !important;
}

#desktop {
    font-family: Arial, Helvetica, sans-serif;
    position: fixed;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;

    background-color: transparent;
}

.window {
    position: absolute;
    width: min-content;

    border-width: 15px;
    border-image-slice: 60;
    border-image-width: 15px;
    border-image-repeat: round;
    border-image-source:
        url("/images/bg-decor/laceOffPurple.png");
    border-style: solid;

    background:var(  --out_border-clear);
    background-clip:padding-box;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);


    align-items: center;
    min-width: var(--min-width);
    min-height: var(--min-height);

    font-size: var(--default_text);
    font-family: jua;
    text-align: center;
    line-height: 1.5;
    text-shadow: 0px 1px 0px var(--default_text);

    border-radius: 30px;
    /* border-radius:  0 0 30px 30px; */
    z-index: 1000;
}

.window.closed {
    display: none;
}

.window.minimizedWindow {
    display: none;
}

.window.fullSizeWindow {
    top: 0 !important;
    right: 0 !important;
    left: -12px !important;
    border-radius: 0;
    bottom: 32px !important;
}

.fullSizeWindow .ui-resizable-handle {
    display: none;
}

.window.music {
    /* background:var(--in_border); */
    padding: -100px;
    min-width: -webkit-fill-available;
    min-width: 200px;
}
 .window.music #winButtons {
    width:60px;
    float:right;
    grid-template-columns: .5fr .5fr;
    grid-template-areas: "min close"; 
    margin-right:5px;
    margin-left:auto;
 }


.window.music .wincontent {
    height: 200px;
    min-width: 200px;
}

.window.music .wincontent .ui-resizable-handle {
    display: none;
    max-width: fit-content;
    max-height: fit-content;
}

.window.music .winmaximize {
    display: none;
}



/* ============= ( HEADER ) ============ */
.windowHeader {
    background-color: #b7b7ff;
    text-align: right;
    overflow: hidden;
    color: var(--big_text);
    font-family: "basiic";

    cursor: move;

    height: 20px; 
    width: auto;

    padding: 5px;
    padding-bottom: 15px;

    border: 2px dashed var(--out_border);
    /* border-bottom:none; */


    display: grid;
    grid-template-columns: auto 120px;
    grid-template-rows: 1fr;
    gap: 0px 0px;
    grid-template-areas:
        "Title Controls";

    position: sticky;

    z-index: inherit;
}

#winButtons {
    grid-area: Controls;

    cursor: pointer;
    transition-duration:500ms; 

    margin-right:10px; 

    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr;
    gap: 0px 10px;
    grid-template-areas:
        "min max close";

    text-align: center;
}

#winButtons > span {
    border:2px solid white;
    border-radius:5px;
    background:var(--small_text);

    backdrop-filter: blur(5px);

    font-size:20px;

    height:80%;
    width:100%;

}

.winminimize {
    grid-area:min;

    /* background-color: rgb(43, 0, 255); */
}

.winmaximize {
    grid-area:max;

}

.winclose{
    grid-area:close;
}


.activeWindow .windowHeader {
    background-image: url("/images/smalls/gradientBar.png");
    background-size: contain;
}

.windowHeader>span {
    /* display: inline-block; */
    cursor: pointer;
    border: 2px solid white;
    margin-left: 4px;

    font-size: 19px;
    padding: 2px 10px;
    font-family: "Arial Black", Gadget, sans-serif;
    border-radius: 5px;
    line-height: 20px;

    width: 12px;
    height: 20px;
    position: relative;
    overflow: hidden;
    transition: 800ms;



}

#winButtons>span:hover {
    background: rgba(255, 255, 255, 0.3);
}

#winButtons>span.winclose:hover {
    background: #ff90ac;

}

.windowHeader>#winButtons>span>span {
    display: inline-block;
    height: 8px;
    width: 10px;
    top: 6px;
    left: 10px;
}

.winminimize>span {
    border-bottom: 3px solid white;
    position: fixed;
    right: 0px;
}

.winmaximize>span {
    border: 2px solid white;
    border-top: 3px solid white;
}

.winmaximize>span:nth-child(2) {
    display: none;
}

.fullSizeWindow .winmaximize>span:nth-child(1) {
    margin: 2px 0 0 -4px;
}

.fullSizeWindow .winmaximize>span:nth-child(2) {
    display: inline-block;
    top: 3px;
    left: 12px;
}

.wincontent {
    min-width: calc(var(--min-width) + 100px);
    min-height: var(--min-height);

    height: inherit;
    width: inherit;

    background: url("/images/backgrounds/grid-bg.png"), var(--main_color);
    background-blend-mode: normal;
    background-clip: content-box;
    color:var(--default_text); 

    background-size: 100px, cover;
    background-repeat: repeat;
    background-position: center;
    background-position-x: 0, 0;
    background-position-y: 0, 0;

    border: 2px dashed var(--out_border);
    border-top: none;
    margin: 2px;
    border-radius: 0 0 10px 10px;

    overflow-y: scroll;
    overflow-x: hidden;
}

.wincontent .ui-resizable-handle {
    position: sticky;
    height: 15px;
    left: 98%;
    /* background:red;  */
}

.windowHeader>strong {
    grid-area: Title;
    margin-left:2px;
    margin-right:auto; 
    line-height: 29px;
    font-size: 17px; 
    overflow: hidden;
}

.taskbarPanel {
    display: inline-block;
    border: 2px solid white;
    border-radius: 5px;

    line-height: 24px;
    margin: 2px 0 0 10px;
    font-size: 17px;
    font-family: "basiic";
    color: var(--small_text);

    padding: 0 10px;
    background-color: var(--main_color);
    cursor: pointer;
}

.taskbarPanel.activeTab {
    background: var(--main_color-solid);
    color: var(--default_text);
}

.taskbarPanel.minimizedTab {
    background: var(--small_text);
}

.taskbarPanel.minimizedTab:hover {
    background: var(--link);
}

.taskbarPanel.closed {
    display: none;
}

#taskbar {
    position: fixed;
    border-radius: 25px 25px 0 0;
    border: 1px solid var(--default_text);
    align-items: center;

    width:100vw;

    height: 35px;
    bottom: 0;
    left: 0;
    right: 0;

    z-index: 2;

    background: var(--taskBarGradient);

}


#icon_ribbon {
    background: url(/images/lace/bunnyHead.webp), url(/images/smalls/Scroll.png);
    background-size: 600px 150px, 50px;
    background-position: -100px 0px, 400px 120px;
    background-repeat: no-repeat;

    margin-top:50px;  
    height: 150px;
    width: 500px;

    pointer-events: none;
    transition-duration: inherit;

    z-index: 1;
}

#icons {
    position: fixed;
    background: url("/images/lace/WhiteRuffles.png"),
        url("/images/backgrounds/sweets.jpg");
    bottom: 0px;

    background-repeat: repeat-y, repeat-y;
    background-position-x: 390px, 0px;
    background-size: auto 400px, 400px 711px;
    transition-duration: 500ms;

    width: 484px;
    height: 100%;
    padding-top: 20px;

    text-align: left;
    font-size: var(--defaultSize);
    overflow: hidden;

    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: flex-start;

}



#icons button {
    display: flex;
    width: 400px;
    height: 70px;

    text-align: center;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;

    font-family: "Pixelify Sans";
    color: var(--default_text);
    cursor: pointer;
    border: none;
    -webkit-backdrop-filter: blur(2px);
    backdrop-filter: blur(2px);

    z-index: 0;
    padding: 20px 100px;
    transition-duration: 500ms;
}

#icons button:hover {
    border: 1px solid #ffffff;
    border-top-right-radius: 50px;
    border-bottom-right-radius: 50px;
    width: 440px;
    position:static;

    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    background: var(--main_color);
    color: var(--big_text);
    text-shadow: 2px 2px 2px var(--default_text);
}

#musicButton {
    font-size: var(--subSize);
    color: var(--default_text);

    width: fit-content;
    height: fit-content;
    border: 2px solid #746dff6c;
    border-radius: 25px;

    background: var(--button_gradient);

    transition-duration: 500ms;
}

#musicButton:hover {
    cursor: pointer;
    background: var(--button_clicked);
    /* font-size:var(--default_text); */
}

#templateLink {
    /* position: absolute; */
    display: inline-block;
    bottom: 10px;
    right: 20px;
    font-weight: bold;
    font-size: 15px;
    color: #30478c;
}